package com.sillycycle.bagleyd.triangles;

/*
 * @(#)TrianglesScores.java
 *
 * Copyright 2003 - 2022  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>TrianglesScores</code> class holds the high scores for the
 * <code>TrianglesFrame</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/puzzles.html
 */

public class TrianglesScores {
	private TrianglesScores() {
	}

       static final int[][][] PUZZLE_SCORES = {{{
  0, 2, 16, -1, -1, -1, -1, -1, -1, -1
        }, {
  2, 16, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  4, 122, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  6, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  8, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  10, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  12, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  14, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  16, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  18, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }}, {{
  0, 1, 19, 88, -1, -1, -1, -1, -1, -1
        }, {
  1, 19, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  3, 65, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  5, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  7, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  9, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  11, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  13, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  15, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }, {
  17, -1, -1, -1, -1, -1, -1, -1, -1, -1
        }}
};
}

/* From rotated position, no longer used
	static final int[][] PUZZLE_SCORES = {{
  0, 2, 12, 456, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, 2, 22, 68, 170, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}
};*/
/* From random position, no longer used
	static final int[][] PUZZLE_SCORES = {{
  0, 2, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, 0, 21, 111, 251, 421, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}
}; */
